# Interface MotionKeyframe<K>

interface MotionKeyframe<K extends string> {
key?: string;
progress: number;
value: MotionValue<K>;
}

#### Type Parameters

- K extends string

- Defined in lib/five/utils/motion.ts:7

##### Index

### Properties

key?
progress
value

## Properties

### `Optional` key

key?: string

- Defined in lib/five/utils/motion.ts:10

### progress

progress: number

- Defined in lib/five/utils/motion.ts:8

### value

value: MotionValue<K>

- Defined in lib/five/utils/motion.ts:9